| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Instance Methods
MediaInformation Class Reference

`#import <MediaInformation.h>`

## Instance Methods
(instancetype) | - init:withStreams:withChapters:
(NSString *) | - getFilename
(NSString *) | - getFormat
(NSString *) | - getLongFormat
(NSString *) | - getDuration
(NSString *) | - getStartTime
(NSString *) | - getSize
(NSString *) | - getBitrate
(NSDictionary *) | - getTags
(NSArray *) | - getStreams
(NSArray *) | - getChapters
(NSString *) | - getStringProperty:
(NSNumber *) | - getNumberProperty:
(id) | - getProperty:
(NSString *) | - getStringFormatProperty:
(NSNumber *) | - getNumberFormatProperty:
(id) | - getFormatProperty:
(NSDictionary *) | - getFormatProperties
(NSDictionary *) | - getAllProperties

## Detailed Description

Media information class.

Definition at line 40 of file MediaInformation.h.

## Method Documentation

## ◆ getAllProperties

- (NSDictionary *) getAllProperties |  |  |

Returns all properties defined.

Returns
  all properties in a dictionary or nil if no properties are defined

Definition at line 47 of file MediaInformation.m.

## ◆ getBitrate

- (NSString *) getBitrate |  |  |

Returns bitrate.

Returns
  media bitrate in kb/s

Definition at line 47 of file MediaInformation.m.

## ◆ getChapters

- (NSArray *) getChapters |  |  |

Returns all chapters.

Returns
  chapters array

Definition at line 47 of file MediaInformation.m.

## ◆ getDuration

- (NSString *) getDuration |  |  |

Returns duration.

Returns
  media duration in "seconds.microseconds" format

Definition at line 47 of file MediaInformation.m.

## ◆ getFilename

- (NSString *) getFilename |  |  |

Returns file name.

Returns
  media file name

Definition at line 47 of file MediaInformation.m.

## ◆ getFormat

- (NSString *) getFormat |  |  |

Returns format.

Returns
  media format

Definition at line 47 of file MediaInformation.m.

## ◆ getFormatProperties

- (NSDictionary *) getFormatProperties |  |  |

Returns all format properties defined.

Returns
  all format properties in a dictionary or nil if no format properties are defined

Definition at line 47 of file MediaInformation.m.

## ◆ getFormatProperty:

- (id) getFormatProperty: |  | (NSString*) | key |

Returns the format property associated with the key.

Returns
  format property as id or nil if the key is not found

Definition at line 47 of file MediaInformation.m.

## ◆ getLongFormat

- (NSString *) getLongFormat |  |  |

Returns long format.

Returns
  media long format

Definition at line 47 of file MediaInformation.m.

## ◆ getNumberFormatProperty:

- (NSNumber *) getNumberFormatProperty: |  | (NSString*) | key |

Returns the format property associated with the key.

Returns
  format property as number or nil if the key is not found

Definition at line 47 of file MediaInformation.m.

## ◆ getNumberProperty:

- (NSNumber *) getNumberProperty: |  | (NSString*) | key |

Returns the property associated with the key.

Returns
  property as number or nil if the key is not found

Definition at line 47 of file MediaInformation.m.

## ◆ getProperty:

- (id) getProperty: |  | (NSString*) | key |

Returns the property associated with the key.

Returns
  property as id or nil if the key is not found

Definition at line 47 of file MediaInformation.m.

## ◆ getSize

- (NSString *) getSize |  |  |

Returns size.

Returns
  media size in bytes

Definition at line 47 of file MediaInformation.m.

## ◆ getStartTime

- (NSString *) getStartTime |  |  |

Returns start time.

Returns
  media start time in milliseconds

Definition at line 47 of file MediaInformation.m.

## ◆ getStreams

- (NSArray *) getStreams |  |  |

Returns all streams.

Returns
  streams array

Definition at line 47 of file MediaInformation.m.

## ◆ getStringFormatProperty:

- (NSString *) getStringFormatProperty: |  | (NSString*) | key |

Returns the format property associated with the key.

Returns
  format property as string or nil if the key is not found

Definition at line 47 of file MediaInformation.m.

## ◆ getStringProperty:

- (NSString *) getStringProperty: |  | (NSString*) | key |

Returns the property associated with the key.

Returns
  property as string or nil if the key is not found

Definition at line 47 of file MediaInformation.m.

## ◆ getTags

- (NSDictionary *) getTags |  |  |

Returns all tags.

Returns
  tags dictionary

Definition at line 47 of file MediaInformation.m.

## ◆ init:withStreams:withChapters:

- (instancetype) init: |  | (NSDictionary*) | mediaDictionary
withStreams: |  | (NSArray*) | streams
withChapters: |  | (NSArray*) | chapters

Definition at line 47 of file MediaInformation.m.

The documentation for this class was generated from the following files:

- MediaInformation.h
- MediaInformation.m